package com.xinelu.manage.service.patientinfo;

import com.xinelu.manage.domain.patientinfo.PatientInfo;
import com.xinelu.manage.dto.patientinfo.PatientBaseInfoDto;
import com.xinelu.manage.dto.patientinfo.PatientInfoDto;
import java.util.List;

/**
 * 患者信息Service接口
 *
 * @author haown
 * @date 2024-02-26
 */
public interface IPatientInfoService {
    /**
     * 查询患者信息
     *
     * @param id 患者信息主键
     * @return 患者信息
     */
    PatientInfo selectPatientInfoById(Long id);

    /**
     * 查询患者信息列表
     *
     * @param patientInfo 患者信息
     * @return 患者信息集合
     */
    List<PatientInfo> selectPatientInfoList(PatientInfoDto patientInfo);

	/**
	 * 查询患者信息列表
	 *
	 * @param patientInfo 患者信息
	 * @return 患者信息集合
	 */
	List<PatientInfo> selectAllPatientList(PatientInfoDto patientInfo);

    /**
     * 新增患者信息
     *
     * @param patientInfo 患者信息
     * @return 结果
     */
    PatientInfo insertPatientInfo(PatientInfo patientInfo);

    /**
     * 修改患者信息
     *
     * @param patientInfo 患者信息
     * @return 患者信息
     */
    PatientInfo updatePatientInfo(PatientInfo patientInfo);

	/**
	 * 患者基本信息
	 *
	 * @param patientInfo 患者基本信息
	 * @return 患者信息
	 */
	PatientInfo updateBaseInfo(PatientBaseInfoDto patientInfo);

    /**
     * 批量删除患者信息
     *
     * @param ids 需要删除的患者信息主键集合
     * @return 结果
     */
    int deletePatientInfoByIds(Long[] ids);

    /**
     * 删除患者信息信息
     *
     * @param id 患者信息主键
     * @return 结果
     */
    int deletePatientInfoById(Long id);
}
